Skip to main content
PATCH
/
api
/
parent_agents
/
{parent_agent_id}
Update Parent Agent
curl --request PATCH \
  --url https://app.maadify.com/api/parent_agents/{parent_agent_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parent_agent_type_key": "<string>",
  "parent_agent_type": "<string>",
  "agent_name": "<string>",
  "description": "<string>",
  "configs": {
    "last_agent_in_group": "<string>",
    "max_rounds": "10",
    "temperature": 0,
    "max_messages": "10",
    "continue_with_last_agent": false,
    "memory_expiration": {
      "thread_ttl_hours": 24,
      "agent_ttl_days": 123,
      "tenant_ttl_days": 123,
      "clear_thread_on_conversation_end": false
    }
  },
  "llm_model": 123,
  "llm_model_name": "<string>",
  "active": true,
  "state_function": [
    {
      "actions": [
        {
          "params": {
            "next_agent_name": "<string>",
            "sub_agent_id": "<string>",
            "is_error": "<string>",
            "send_approval": "<string>",
            "approval_message": "<string>",
            "approval_message_to_send": "<string>",
            "send_approval_email": "<string>",
            "approval_users": "<string>",
            "agent_tool_id": "<string>",
            "parent_agent_tool_id": "<string>",
            "payload": "<string>",
            "loop_on": "<string>",
            "max_iterations": "<string>",
            "fail_on_error": "<string>",
            "skip_conditions": {
              "all": [
                {
                  "name": "<string>",
                  "value": "",
                  "agent_tool_id": "<string>",
                  "parent_agent_tool_id": "<string>",
                  "sub_agent_id": "<string>"
                }
              ],
              "any": [
                {
                  "name": "<string>",
                  "value": "",
                  "agent_tool_id": "<string>",
                  "parent_agent_tool_id": "<string>",
                  "sub_agent_id": "<string>"
                }
              ]
            }
          }
        }
      ],
      "conditions": {
        "all": [
          {
            "name": "<string>",
            "value": "",
            "agent_tool_id": "<string>",
            "parent_agent_tool_id": "<string>",
            "sub_agent_id": "<string>"
          }
        ],
        "any": [
          {
            "name": "<string>",
            "value": "",
            "agent_tool_id": "<string>",
            "parent_agent_tool_id": "<string>",
            "sub_agent_id": "<string>"
          }
        ]
      },
      "order": 123
    }
  ]
}
'
import requests

url = "https://app.maadify.com/api/parent_agents/{parent_agent_id}"

payload = {
"parent_agent_type_key": "<string>",
"parent_agent_type": "<string>",
"agent_name": "<string>",
"description": "<string>",
"configs": {
"last_agent_in_group": "<string>",
"max_rounds": "10",
"temperature": 0,
"max_messages": "10",
"continue_with_last_agent": False,
"memory_expiration": {
"thread_ttl_hours": 24,
"agent_ttl_days": 123,
"tenant_ttl_days": 123,
"clear_thread_on_conversation_end": False
}
},
"llm_model": 123,
"llm_model_name": "<string>",
"active": True,
"state_function": [
{
"actions": [{ "params": {
"next_agent_name": "<string>",
"sub_agent_id": "<string>",
"is_error": "<string>",
"send_approval": "<string>",
"approval_message": "<string>",
"approval_message_to_send": "<string>",
"send_approval_email": "<string>",
"approval_users": "<string>",
"agent_tool_id": "<string>",
"parent_agent_tool_id": "<string>",
"payload": "<string>",
"loop_on": "<string>",
"max_iterations": "<string>",
"fail_on_error": "<string>",
"skip_conditions": {
"all": [
{
"name": "<string>",
"value": "",
"agent_tool_id": "<string>",
"parent_agent_tool_id": "<string>",
"sub_agent_id": "<string>"
}
],
"any": [
{
"name": "<string>",
"value": "",
"agent_tool_id": "<string>",
"parent_agent_tool_id": "<string>",
"sub_agent_id": "<string>"
}
]
}
} }],
"conditions": {
"all": [
{
"name": "<string>",
"value": "",
"agent_tool_id": "<string>",
"parent_agent_tool_id": "<string>",
"sub_agent_id": "<string>"
}
],
"any": [
{
"name": "<string>",
"value": "",
"agent_tool_id": "<string>",
"parent_agent_tool_id": "<string>",
"sub_agent_id": "<string>"
}
]
},
"order": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parent_agent_type_key: '<string>',
parent_agent_type: '<string>',
agent_name: '<string>',
description: '<string>',
configs: {
last_agent_in_group: '<string>',
max_rounds: '10',
temperature: 0,
max_messages: '10',
continue_with_last_agent: false,
memory_expiration: {
thread_ttl_hours: 24,
agent_ttl_days: 123,
tenant_ttl_days: 123,
clear_thread_on_conversation_end: false
}
},
llm_model: 123,
llm_model_name: '<string>',
active: true,
state_function: [
{
actions: [
{
params: {
next_agent_name: '<string>',
sub_agent_id: '<string>',
is_error: '<string>',
send_approval: '<string>',
approval_message: '<string>',
approval_message_to_send: '<string>',
send_approval_email: '<string>',
approval_users: '<string>',
agent_tool_id: '<string>',
parent_agent_tool_id: '<string>',
payload: '<string>',
loop_on: '<string>',
max_iterations: '<string>',
fail_on_error: '<string>',
skip_conditions: {
all: [
{
name: '<string>',
value: '',
agent_tool_id: '<string>',
parent_agent_tool_id: '<string>',
sub_agent_id: '<string>'
}
],
any: [
{
name: '<string>',
value: '',
agent_tool_id: '<string>',
parent_agent_tool_id: '<string>',
sub_agent_id: '<string>'
}
]
}
}
}
],
conditions: {
all: [
{
name: '<string>',
value: '',
agent_tool_id: '<string>',
parent_agent_tool_id: '<string>',
sub_agent_id: '<string>'
}
],
any: [
{
name: '<string>',
value: '',
agent_tool_id: '<string>',
parent_agent_tool_id: '<string>',
sub_agent_id: '<string>'
}
]
},
order: 123
}
]
})
};

fetch('https://app.maadify.com/api/parent_agents/{parent_agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "items": [
      {
        "id": 123,
        "parent_agent_type": "<string>",
        "parent_agent_type_key": "<string>",
        "agent_key": "<string>",
        "agent_name": "<string>",
        "full_display_name": "<string>",
        "tenant": "<string>",
        "display_name": "<string>",
        "description": "<string>",
        "configs": {
          "last_agent_in_group": "<string>",
          "max_rounds": "10",
          "temperature": 0,
          "max_messages": "10",
          "continue_with_last_agent": false,
          "memory_expiration": {
            "thread_ttl_hours": 24,
            "agent_ttl_days": 123,
            "tenant_ttl_days": 123,
            "clear_thread_on_conversation_end": false
          }
        },
        "llm_model": 123,
        "llm_model_name": "<string>",
        "active": true,
        "state_function": [
          {}
        ],
        "created_at": "<string>"
      }
    ]
  },
  "error_type": "<string>",
  "error_message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

parent_agent_id
integer
required

Body

application/json
parent_agent_type_key
string | null

Updated parent agent type key from agents.agent_name.

parent_agent_type
string | null

Updated human-readable parent agent type from agents.agent_displayName.

agent_name
string | null

Updated parent agent name. Spaces are converted to underscores and the stored key is lowercase, alphanumeric/underscore, and at most 50 characters.

description
string | null

Updated summary of what the parent agent should accomplish.

configs
ParentAgentConfigRequest · object

Updated default behavior for the entire flow.

llm_model
integer | null

Updated default LLM model ID. If omitted, provide llm_model_name to resolve the model by name.

llm_model_name
string | null

LLM model name to resolve when llm_model ID is not provided.

active
boolean | null

Updated on/off state for the parent agent.

state_function
StateFunctionRule · object[] | null

Updated routing rules for the parent-agent flow.

Response

Successful Response

success
boolean
required

Whether the request was successful.

data
ParentAgentMutationData · object
required

Parent agent mutation results.

error_type
string | null

Type of error if the request failed.

error_message
string | null

Error message or informational message.